GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

Data Structures | Functions
GTPin: Core Services

Tool registration and other core services provided by the GTPin More...

## Data Structures
class | gtpin::GtCoreString
| C string allocated in the GTPin core storage and managed by UniquePtr. More...
class | gtpin::IGtCore
| < Handle to the tool registered with the GTPin core More...
## Functions
IGtCore * | gtpin::GTPin_GetCore ()
| Return single instance of the IGtCore class.

## Detailed Description

Tool registration and other core services provided by the GTPin

The IGtCore singleton, defined in this section, provides common services available for tools at any time, and in all callback handlers. The most important of them is the tool registration API that allows tools to register their callbacks with GTPin.

## Function Documentation

IGtCore* gtpin::GTPin_GetCore | ( |  | ) |

Return single instance of the IGtCore class.

Note:
  This is the only interface function exported by the gtpin library. If a tool loads this library dynamically, the indirect call to the GTPin_GetCore() function should be wrapped into a function with the exactly same signature, implemented by the tool:

          IGtCore* (*fpGTPin_GetCore)() = address_of_GTPin_GetCore; // Address of the GTPin_GetCore() function in the gtpin library
          IGtCore* GTPin_GetCore()
          {
              return fpGTPin_GetCore();
          }

  This is necessary because some other functions in the GTPin API have an inline implementation that uses GTPin_GetCore(). For example, see the GetGenArch() function.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT